Show / Hide Table of Contents

# Class GameStart

Class responsible for starting the game and stripping ACL protections from processes.

##### Inheritance

System.Object
GameStart

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Injector

###### Assembly: Dalamud.Injector.dll

##### Syntax

    public static class GameStart

### Methods

| Improve this Doc View Source

#### ClaimSeDebug()

##### Declaration

    public static void ClaimSeDebug()

| Improve this Doc View Source

#### CopyAclFromSelfToTargetProcess(IntPtr)

Copies ACL of current process to the target process.

##### Declaration

    public static void CopyAclFromSelfToTargetProcess(IntPtr hProcess)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hProcess | Native handle to the target process.

##### Exceptions

Type | Condition
--- | ---
System.ComponentModel.Win32Exception | Thrown when a win32 error occurs.

| Improve this Doc View Source

#### LaunchGame(String, String, String, Boolean, Action<Process>, Boolean)

Start a process without ACL protections.

##### Declaration

    public static Process LaunchGame(string workingDir, string exePath, string arguments, bool dontFixAcl, Action<Process> beforeResume, bool waitForGameWindow = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | workingDir | The working directory.
System.String | exePath | The path to the executable file.
System.String | arguments | Arguments to pass to the executable file.
System.Boolean | dontFixAcl | Don't actually fix the ACL.
System.Action<System.Diagnostics.Process> | beforeResume | Action to execute before the process is started.
System.Boolean | waitForGameWindow | Wait for the game window to be ready before proceeding.

##### Returns

Type | Description
--- | ---
System.Diagnostics.Process | The started process.

##### Exceptions

Type | Condition
--- | ---
System.ComponentModel.Win32Exception | Thrown when a win32 error occurs.
GameStart.GameStartException | Thrown when the process did not start correctly.